package xyz.danielcortes.controllers.libro;

import java.util.List;
import xyz.danielcortes.framework.BaseTableModel;
import xyz.danielcortes.models.Libro;
import xyz.danielcortes.repository.LibroRepository;
import xyz.danielcortes.views.libro.LibroListPanel;

public class LibroListController {

  private LibroListPanel view;
  private LibroRepository libroRepository;

  public LibroListController(LibroListPanel view) {
    this.view = view;
    this.libroRepository = new LibroRepository();
    this.loadLibroTable();
  }

  public void reload() {
    this.loadLibroTable();
  }

  private void loadLibroTable() {
    List<Libro> libros = this.libroRepository.getAll();
    BaseTableModel<Libro> model = this.view.getLibrosModel();
    model.addRows(libros);
  }

  public LibroListPanel getView() {
    return view;
  }
}
